package com.ssm.manage.dao;

import com.github.pagehelper.PageInfo;
import com.ssm.manage.entity.RechargeType;
import com.ssm.manage.query.RechargeTypeRequest;

import java.util.List;

public interface SsmRechargeTypeDao extends BaseDao<RechargeType> {
    PageInfo<RechargeType> selectPage(RechargeTypeRequest rechargeRequest);
    PageInfo<RechargeType> selectPagess(RechargeTypeRequest rechargeRequest);

    PageInfo<RechargeType> selectnewPage(RechargeTypeRequest rechargeRequest);
    PageInfo<RechargeType> selectnewPages(RechargeTypeRequest rechargeRequest);
    PageInfo<RechargeType> selectpromotionPage(RechargeTypeRequest rechargeRequest);
    List<RechargeType> selectsjianjiList(RechargeTypeRequest rechargeRequest);
    List<RechargeType> selectsjianjiLists(RechargeTypeRequest rechargeRequest);
    int insertBatch(List<RechargeType> list);
}
